#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --prefix=/usr --bindir=/usr/games --datadir=/usr/share/games

override_dh_auto_install:
	dh_auto_install
	uudecode debian/black.png.in > $(CURDIR)/debian/brutalchess/usr/share/games/brutalchess/art/marblehugeblack.png
	uudecode debian/white.png.in > $(CURDIR)/debian/brutalchess/usr/share/games/brutalchess/art/marblehugewhite.png
	find . -name "*view" -delete
	rm -rf $(CURDIR)/debian/brutalchess/usr/lib
